# Loki::LevelMutexInfo::LevelMutexInfo::MutexUndoer Class Reference

`#include <LevelMutex.h>`

List of all members.

## Detailed Description

Undoes actions by MultiLock if an exception occurs. It keeps track of which mutexes in a container got locked, and if an exception occurs, then the destructor unlocks them. If MultiLock succeeds, then it cancels the undoer so nothing gets unlocked inadvertently.

The documentation for this class was generated from the following files:

- LevelMutex.h
- LevelMutex.cpp